## tuna 0.14

=== Makefile ===
PACKAGE := tuna
VERSION := $(shell rpm -q --qf '%{VERSION} ' --specfile rpm/SPECS/$(PACKAGE).spec | cut -d' ' -f1)

rpmdirs:
	@[ -d rpm/BUILD ]   || mkdir rpm/BUILD
	@[ -d rpm/RPMS ]    || mkdir rpm/RPMS
	@[ -d rpm/SRPMS ]   || mkdir rpm/SRPMS
	@[ -d rpm/SOURCES ] || mkdir rpm/SOURCES

bz2: rpmdirs
	git archive --format=tar --prefix=$(PACKAGE)-$(VERSION)/ HEAD | \
	bzip2 -9 > rpm/SOURCES/$(PACKAGE)-$(VERSION).tar.bz2

rpm: bz2 rpmdirs
	rpmbuild -ba --define "_topdir $(PWD)/rpm" rpm/SPECS/$(PACKAGE).spec

bz2dev: rpmdirs
	@mkdir -p /tmp/$(PACKAGE)-$(VERSION)
	@tar cf - `cat MANIFEST` | (cd /tmp/$(PACKAGE)-$(VERSION) ; tar xf -)
	@(cd /tmp; tar cf - $(PACKAGE)-$(VERSION)) | bzip2 -9 > rpm/SOURCES/$(PACKAGE)-$(VERSION).tar.bz2

rpmdev: bz2dev rpmdirs
	rpmbuild -ba --define "_topdir $(PWD)/rpm" rpm/SPECS/$(PACKAGE).spec

po/$(PACKAGE).pot:
	xgettext -k_ -kN_ -f po/POTFILES.in -o $@

po/%.po: po/$(PACKAGE).pot
	msgmerge --suffix=.old -U $@ $< && rm -f $@.old

rpmclean:
	@rm -f rpm/RPMS/*/$(PACKAGE)-$(VERSION)-*.rpm
	@rm -f rpm/SRPMS/$(PACKAGE)-$(VERSION)-*.src.rpm
	@rm -f rpm/SOURCES/$(PACKAGE)-$(VERSION).tar.bz2
	@rm -rf rpm/BUILD/$(PACKAGE)-$(VERSION)*

pyclean:
	@find . -type f \( -name \*~ -o -name \*.pyc \) -delete

clean: pyclean rpmclean

## tuna 0.12

=== debian/changelog ===
tuna (0.12-1) unstable; urgency=medium

  * Initial release (Closes: 912762)
  * Python 2 version supplied because GUI components of this application
  *  depend on python-gtk2 which will not be ported to python3. Patches to
  *  be submitted to replace dependency with PyGObject.
  * Latest version is 0.14.  Only 0.12 has been packaged because 0.13+ has
  *  dropped support for python2, though it still depends on python-gtk2.
  *  Next version to be packaged will be 0.15 which should have resolved
  *  dependency issue.

 -- Stewart Ferguson <stew@ferg.aero>  Fri, 18 Jan 2019 17:58:54 +0100

=== debian/control ===
Source: tuna
Section: utils
Priority: optional
Uploaders: Bernd Zeimetz <bzed@debain.org>, Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Maintainer: Stewart Ferguson <stew@ferg.aero>
Build-Depends:
 debhelper (>= 12),
 dh-python,
 python-dev,
 python-setuptools,
 python-six
Standards-Version: 4.3.0
Homepage: https://rt.wiki.kernel.org/index.php/Tuna
Vcs-Browser: https://salsa.debian.org/python-team/applications/tuna
Vcs-Git: https://salsa.debian.org/python-team/applications/tuna.git

Package: tuna
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 ${python:Depends},
 python,
 python-ethtool,
 python-linux-procfs (>=0.6),
 python-schedutils (>=0.6),
 python-matplotlib,
 python-glade2
# Suggests: python-inet_diag
Description: Application tuning GUI & command line utility
 Provides interface for changing scheduler and IRQ tunables, at whole CPU and
 at per thread/IRQ level. Allows isolating CPUs for use by a specific
 application and moving threads and interrupts to a CPU by just dragging and
 dropping them. Operations can be done on CPU sockets, understanding CPU
 topology.
 .
 Can be used as a command line utility without requiring the GUI libraries to
 be installed.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1
export PYBUILD_NAME=tuna
export PYBUILD_AFTER_INSTALL=find debian/tuna -type f -name '*.pyc' -delete

%:
	dh $@ --with=python2 --buildsystem=pybuild

override_dh_auto_build:
	dh $@ --with=python2 --buildsystem=pybuild

	mkdir -p bin
	cp -p tuna-cmd.py bin/tuna

## tuna 0.14

=== debian/changelog ===
tuna (0.14-1build1) focal; urgency=medium

  * No-change rebuild to build with python3.8.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 25 Jan 2020 04:40:17 +0000

tuna (0.14-1) unstable; urgency=medium

  [ Stewart Ferguson ]
  * Importing Upstream release 0.14
  * Replacing d/compat with debhelper-compat
  * Updating python2 -> python3
  * Updating FSF address in copyright
  * Removing python2-specific gui elements (Closes: #920626)
  * Improving package description

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.0.

  [ Piotr Ożarowski ]
  * Fix team name and email 

 -- Stewart Ferguson <stew@ferg.aero>  Fri, 19 Jul 2019 22:25:36 +0200

=== debian/control ===
Source: tuna
Section: utils
Priority: optional
Uploaders: Bernd Zeimetz <bzed@debain.org>, Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
Maintainer: Stewart Ferguson <stew@ferg.aero>
Build-Depends:
 debhelper-compat (= 12),
 dh-python,
 python3-dev,
 python3-setuptools,
 python3-six
Standards-Version: 4.4.0
Homepage: https://rt.wiki.kernel.org/index.php/Tuna
Vcs-Browser: https://salsa.debian.org/python-team/applications/tuna
Vcs-Git: https://salsa.debian.org/python-team/applications/tuna.git

Package: tuna
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 ${python3:Depends},
 python3,
 python3-ethtool,
 python3-linux-procfs,
 python3-schedutils
# Suggests: python-inet_diag
Description: Low-level system performance tuning for realtime systems
 Tuna is used to change the attributes of application and kernel threads, IRQs,
 CPUs, and CPU sockets. It can change scheduling policy, scheduler priority and
 processor affinity for processes and process threads. It can also change the
 processor affinity for interrupts, isolate CPUs, and spread threads or IRQs
 across CPUs.
 .
 Only the command-line components are available in this package.

## tuna 0.15

=== debian/changelog ===
tuna (0.15-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/changelog: Remove trailing whitespaces.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Sandro Tosi ]
  * Use the new Debian Python Team contact name and address

  [ Stewart Ferguson ]
  * Imported Upstream version 0.15
  * Removed dependency on python3-schedutils
  * Adding Recommend: on new gui backend and re-adding desktop file
  * Adding Rules-Requires-Root:no
  * Removing bzed from uploaders. Thanks for your help
  * Bumping Standards-Version 4.5.0->4.5.1
  * Bumping compat 12 -> 13
  * Adding dep3 header to patch

 -- Stewart Ferguson <stew@ferg.aero>  Wed, 20 Jan 2021 14:04:43 +0100

=== debian/control ===
Source: tuna
Section: utils
Priority: optional
Uploaders: Debian Python Team <team+python@tracker.debian.org>
Maintainer: Stewart Ferguson <stew@ferg.aero>
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 python3-dev,
 python3-setuptools,
 python3-six
Standards-Version: 4.5.1
Rules-Requires-Root: no
Homepage: https://rt.wiki.kernel.org/index.php/Tuna
Vcs-Browser: https://salsa.debian.org/python-team/packages/tuna
Vcs-Git: https://salsa.debian.org/python-team/packages/tuna.git

Package: tuna
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 ${python3:Depends},
 python3,
 python3-ethtool,
 python3-linux-procfs
Recommends:
 python3-gi
# Suggests: python-inet_diag
Description: Low-level system performance tuning for realtime systems
 Tuna is used to change the attributes of application and kernel threads, IRQs,
 CPUs, and CPU sockets. It can change scheduling policy, scheduler priority and
 processor affinity for processes and process threads. It can also change the
 processor affinity for interrupts, isolate CPUs, and spread threads or IRQs
 across CPUs.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1
export PYBUILD_NAME=tuna

%:
	dh $@ --with=python3 --buildsystem=pybuild

override_dh_auto_build:
	dh $@ --with=python3 --buildsystem=pybuild

	mkdir -p bin
	cp -p tuna-cmd.py bin/tuna

## tuna 0.19

=== debian/changelog ===
tuna (0.19-1) unstable; urgency=medium

  * Team Upload
  * New upstream version 0.19 (LP: #1988848)
  * Use new dh-sequence-python3
  * Set DPT as Maintainer per new Team Policy
  * Upload build-depedencies:
    + gir1.2-gtk-3.0
    + python3-gi
    + python3-linux-procfs
    - python3-six

  [ Debian Janitor ]
  * Update standards version to 4.6.2, no changes needed.

 -- Alexandre Detiste <tchet@debian.org>  Thu, 22 Aug 2024 10:48:20 +0200

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,17 @@
 Source: tuna
 Section: utils
 Priority: optional
-Uploaders: Debian Python Team <team+python@tracker.debian.org>
-Maintainer: Stewart Ferguson <stew@ferg.aero>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
+Uploaders: Stewart Ferguson <stew@ferg.aero>,
 Build-Depends:
  debhelper-compat (= 13),
- dh-python,
+ dh-sequence-python3,
+ gir1.2-gtk-3.0 <!nocheck>,
  python3-dev,
+ python3-gi <!nocheck>,
+ python3-linux-procfs <!nocheck>,
  python3-setuptools,
- python3-six
-Standards-Version: 4.5.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://rt.wiki.kernel.org/index.php/Tuna
 Vcs-Browser: https://salsa.debian.org/python-team/packages/tuna

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1
export PYBUILD_NAME=tuna

%:
	dh $@ --buildsystem=pybuild

execute_after_dh_auto_build:
	mkdir -p bin
	cp -p tuna-cmd.py bin/tuna

=== debian/watch ===
version=4
https://git.kernel.org/pub/scm/utils/tuna/tuna.git /pub/scm/utils/tuna/tuna\.git/snapshot/tuna-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
